<html>
<head>
<title>Ogre::ProgressiveMesh::PMVertex Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ProgressiveMesh::PMVertex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ProgressiveMesh::PMVertex" -->
<p>A vertex in the progressive mesh, holds info like collapse cost etc.  
 <a href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ProgressiveMesh_1_1PMVertex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3e">BorderStatus</a> { <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3ea2a8dcf807b6f977d45d983a1080be6df">BS_UNKNOWN</a> =  0, 
<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3eabce7e4ea5adf8c844d33b2727d1ad172">BS_NOT_BORDER</a>, 
<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3ea46d6781bedbaaf63336c63402c911e0e">BS_BORDER</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SmallVector.html">SmallVector</a>&lt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *, 8 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a83a98e0ed483ecb9b27e76a8015c41ed">NeighborList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SmallVector.html">SmallVector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a> *, 8 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a3a99524de875faec7b675674cb39bbea">FaceList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a4c52cc21daf3d06a39b04c1f125b8577">PMVertex</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a09d9d3c1121c98ca474fc678ad6e52c4">setDetails</a> (size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a6982e31f211ee8b10cf643baebefc3aa">index</a>, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pos, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad3a7a5f290ac61eef6d8f180fad0db03">normal</a>, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a078f3662efed050eced0e84356d8a868">uv</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aef25ec9a1693d82650c4ec3974666fd2">isNearEnough</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *other) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad96f10c8b54acfc7512451c26e8a397c">removeIfNonNeighbor</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a8c2a0156d656102e6fb1198699752ff9">initBorderStatus</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aab7df3d590ba9add1b945872a5759ea2">isManifoldEdgeWith</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *v)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set mBorderStatus to BS_BORDER if this vertex is on the edge of an open geometry patch.  <a href="#aab7df3d590ba9add1b945872a5759ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a1793fbe5fc12a95fde281f1611ecb512">notifyRemoved</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a10be1d987c689f6a0e3eabca15f65096">calculateNormal</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ab2c1e1bf8296736b1b426577cdd8a020">position</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad3a7a5f290ac61eef6d8f180fad0db03">normal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a078f3662efed050eced0e84356d8a868">uv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a6982e31f211ee8b10cf643baebefc3aa">index</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3e">BorderStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a5d9e4494654cd43aebad3d618193797e">mBorderStatus</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a75bbec5fa218bb9845b3f059b9cddab6">removed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad259bc95f91a0186b62d932d368bde57">toBeRemoved</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a0bcc94cc31dc57068026c7a185baa589">collapseCost</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a63fb8662dd40d265518a2c434e1e400b">collapseTo</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a83a98e0ed483ecb9b27e76a8015c41ed">NeighborList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aba08b3a1f6c6618e71fca01f4c326684">neighbor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a3a99524de875faec7b675674cb39bbea">FaceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a47b4d3d779f9e5323a24f53cf613a490">face</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A vertex in the progressive mesh, holds info like collapse cost etc. </p>
<p>This vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated. In order to properly evaluate the surface properties, a single common vertex is used for these duplicates, and the faces hold the detail of the duplicated vertices. </p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00272">272</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a3a99524de875faec7b675674cb39bbea"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::FaceList" ref="a3a99524de875faec7b675674cb39bbea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SmallVector.html">SmallVector</a>&lt;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a> *, 8&gt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a3a99524de875faec7b675674cb39bbea">Ogre::ProgressiveMesh::PMVertex::FaceList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00276">276</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a83a98e0ed483ecb9b27e76a8015c41ed"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::NeighborList" ref="a83a98e0ed483ecb9b27e76a8015c41ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SmallVector.html">SmallVector</a>&lt;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *, 8&gt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a83a98e0ed483ecb9b27e76a8015c41ed">Ogre::ProgressiveMesh::PMVertex::NeighborList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00275">275</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="aea49c75299926625a8ddb468463c0f3e"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::BorderStatus" ref="aea49c75299926625a8ddb468463c0f3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3e">Ogre::ProgressiveMesh::PMVertex::BorderStatus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="aea49c75299926625a8ddb468463c0f3ea2a8dcf807b6f977d45d983a1080be6df"></a><!-- doxytag: member="BS_UNKNOWN" ref="aea49c75299926625a8ddb468463c0f3ea2a8dcf807b6f977d45d983a1080be6df" args="" -->BS_UNKNOWN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aea49c75299926625a8ddb468463c0f3eabce7e4ea5adf8c844d33b2727d1ad172"></a><!-- doxytag: member="BS_NOT_BORDER" ref="aea49c75299926625a8ddb468463c0f3eabce7e4ea5adf8c844d33b2727d1ad172" args="" -->BS_NOT_BORDER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aea49c75299926625a8ddb468463c0f3ea46d6781bedbaaf63336c63402c911e0e"></a><!-- doxytag: member="BS_BORDER" ref="aea49c75299926625a8ddb468463c0f3ea46d6781bedbaaf63336c63402c911e0e" args="" -->BS_BORDER</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00274">274</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4c52cc21daf3d06a39b04c1f125b8577"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::PMVertex" ref="a4c52cc21daf3d06a39b04c1f125b8577" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a4c52cc21daf3d06a39b04c1f125b8577">Ogre::ProgressiveMesh::PMVertex::PMVertex</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00279">279</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a10be1d987c689f6a0e3eabca15f65096"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::calculateNormal" ref="a10be1d987c689f6a0e3eabca15f65096" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a10be1d987c689f6a0e3eabca15f65096">Ogre::ProgressiveMesh::PMVertex::calculateNormal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8c2a0156d656102e6fb1198699752ff9"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::initBorderStatus" ref="a8c2a0156d656102e6fb1198699752ff9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a8c2a0156d656102e6fb1198699752ff9">Ogre::ProgressiveMesh::PMVertex::initBorderStatus</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aab7df3d590ba9add1b945872a5759ea2"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::isManifoldEdgeWith" ref="aab7df3d590ba9add1b945872a5759ea2" args="(PMVertex *v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aab7df3d590ba9add1b945872a5759ea2">Ogre::ProgressiveMesh::PMVertex::isManifoldEdgeWith</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set mBorderStatus to BS_BORDER if this vertex is on the edge of an open geometry patch. </p>

</div>
</div>
<a class="anchor" id="aef25ec9a1693d82650c4ec3974666fd2"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::isNearEnough" ref="aef25ec9a1693d82650c4ec3974666fd2" args="(PMVertex *other) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aef25ec9a1693d82650c4ec3974666fd2">Ogre::ProgressiveMesh::PMVertex::isNearEnough</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1793fbe5fc12a95fde281f1611ecb512"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::notifyRemoved" ref="a1793fbe5fc12a95fde281f1611ecb512" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a1793fbe5fc12a95fde281f1611ecb512">Ogre::ProgressiveMesh::PMVertex::notifyRemoved</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad96f10c8b54acfc7512451c26e8a397c"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::removeIfNonNeighbor" ref="ad96f10c8b54acfc7512451c26e8a397c" args="(PMVertex *n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad96f10c8b54acfc7512451c26e8a397c">Ogre::ProgressiveMesh::PMVertex::removeIfNonNeighbor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a09d9d3c1121c98ca474fc678ad6e52c4"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::setDetails" ref="a09d9d3c1121c98ca474fc678ad6e52c4" args="(size_t index, const Vector3 &amp;pos, const Vector3 &amp;normal, const Vector2 &amp;uv)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a09d9d3c1121c98ca474fc678ad6e52c4">Ogre::ProgressiveMesh::PMVertex::setDetails</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>normal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>uv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0bcc94cc31dc57068026c7a185baa589"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::collapseCost" ref="a0bcc94cc31dc57068026c7a185baa589" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a0bcc94cc31dc57068026c7a185baa589">Ogre::ProgressiveMesh::PMVertex::collapseCost</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00300">300</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a63fb8662dd40d265518a2c434e1e400b"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::collapseTo" ref="a63fb8662dd40d265518a2c434e1e400b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a63fb8662dd40d265518a2c434e1e400b">Ogre::ProgressiveMesh::PMVertex::collapseTo</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00301">301</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a47b4d3d779f9e5323a24f53cf613a490"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::face" ref="a47b4d3d779f9e5323a24f53cf613a490" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a3a99524de875faec7b675674cb39bbea">FaceList</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a47b4d3d779f9e5323a24f53cf613a490">Ogre::ProgressiveMesh::PMVertex::face</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00304">304</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6982e31f211ee8b10cf643baebefc3aa"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::index" ref="a6982e31f211ee8b10cf643baebefc3aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a6982e31f211ee8b10cf643baebefc3aa">Ogre::ProgressiveMesh::PMVertex::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00294">294</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d9e4494654cd43aebad3d618193797e"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::mBorderStatus" ref="a5d9e4494654cd43aebad3d618193797e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3e">BorderStatus</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a5d9e4494654cd43aebad3d618193797e">Ogre::ProgressiveMesh::PMVertex::mBorderStatus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00296">296</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba08b3a1f6c6618e71fca01f4c326684"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::neighbor" ref="aba08b3a1f6c6618e71fca01f4c326684" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a83a98e0ed483ecb9b27e76a8015c41ed">NeighborList</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aba08b3a1f6c6618e71fca01f4c326684">Ogre::ProgressiveMesh::PMVertex::neighbor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00303">303</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad3a7a5f290ac61eef6d8f180fad0db03"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::normal" ref="ad3a7a5f290ac61eef6d8f180fad0db03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad3a7a5f290ac61eef6d8f180fad0db03">Ogre::ProgressiveMesh::PMVertex::normal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00291">291</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2c1e1bf8296736b1b426577cdd8a020"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::position" ref="ab2c1e1bf8296736b1b426577cdd8a020" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ab2c1e1bf8296736b1b426577cdd8a020">Ogre::ProgressiveMesh::PMVertex::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00290">290</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75bbec5fa218bb9845b3f059b9cddab6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::removed" ref="a75bbec5fa218bb9845b3f059b9cddab6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a75bbec5fa218bb9845b3f059b9cddab6">Ogre::ProgressiveMesh::PMVertex::removed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00297">297</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad259bc95f91a0186b62d932d368bde57"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::toBeRemoved" ref="ad259bc95f91a0186b62d932d368bde57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad259bc95f91a0186b62d932d368bde57">Ogre::ProgressiveMesh::PMVertex::toBeRemoved</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00298">298</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a078f3662efed050eced0e84356d8a868"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::uv" ref="a078f3662efed050eced0e84356d8a868" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a078f3662efed050eced0e84356d8a868">Ogre::ProgressiveMesh::PMVertex::uv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00292">292</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
